[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Principal< TAG > Class Template Reference |

Modifier. Project onto PCA eigenvectors. More...

`#include <vigra/accumulator.hxx>`

## Detailed Description

### template<class TAG>
class vigra::acc::Principal< TAG >

Modifier. Project onto PCA eigenvectors.

Works in pass 2, operator+=() not supported (merging not supported).

The documentation for this class was generated from the following files:

- vigra/accumulator-grammar.hxx
- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0